## visad.data.amanda
Class Module

    java.lang.Object
      visad.data.amanda.Point
          visad.data.amanda.Module

All Implemented Interfaces:
  Comparable

public class Module
extends Point
implements Comparable

Constructor Summary
`(package private)` `Module(int number)`
`(package private)` `Module(int number, float x, float y, float z, int string, int stringOrder)`

Method Summary
`int` `compareTo(Module mod)`
`int` `compareTo(Object obj)`
`boolean` `equals(Object o)`
`(package private) int` `getNumber()`
`String` `toString()`

Methods inherited from class visad.data.amanda.Point
`getX, getY, getZ`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Module

    Module(int number)

### Module

    Module(int number,
           float x,
           float y,
           float z,
           int string,
           int stringOrder)

Method Detail

### compareTo

    public int compareTo(Object obj)

  Specified by:
    `compareTo` in interface `Comparable`

### compareTo

    public int compareTo(Module mod)

### equals

    public boolean equals(Object o)

### getNumber

    int getNumber()

### toString

    public String toString()

  Overrides:
    `toString` in class `Point`